/**********************************************************
　　製作者　　アドウィン
　　解　説　　サーボモータを回転させよう – プログラム例
**********************************************************/
#include <Arduino.h> // Arduino.h の読み込み

// サーボモータ用ピンの設定
int servo = 4;

/*
 * setup 関数
 */
void setup() {
  /* ここにプログラムの最初に1回だけ実行したい処理を上から順に記述していきます */

  // シリアル通信を115200bpsで開始
  Serial.begin(115200);

  Serial.println("初期設定の開始");

  // サーボモータ用ピンの初期設定
  pinMode(servo, OUTPUT);
  digitalWrite(servo, LOW);

  Serial.println("初期設定の完了");
}

/*
 * loop 関数
 */
void loop() {
  /* ここにプログラム中で繰り返し実行したい処理を上から順に記述していきます */

  // 1.5ms間、Hにする
  digitalWrite(servo, HIGH);
  delayMicroseconds(1500);

  // 15ms間、Lにする
  digitalWrite(servo, LOW);
  delay(15);
}